include	clib.inc
include	dos.inc

PPROC	wgetfattr, path:DPTR
	MPUSH	ds
	MLDS	dx,path
	stc
	mov	ax,7143h
	mov	bl,0
	int	21h
	MPOP	ds
	jc	wgetfattr_error
	mov	ax,cx
    wgetfattr_toend:
	ret
    wgetfattr_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wgetfattr_toend
PEND	wgetfattr

	END
